﻿using Netmash.Infrastructure.DatabaseMigration.Constants;

namespace Netmash.Infrastructure.DatabaseMigration.Models
{
    internal class ServiceConfiguration
    {
        public DatabaseType DatabaseType { get; }
        public MetadataLocation MetadataLocation { get; }
        public string ConnectionName { get; }
        public string Workspace { get; }
        public string ScriptsDirectory { get; }

        public ServiceConfiguration(DatabaseType databaseType, MetadataLocation metadataLocation, string connectionName, string workspace, string scriptsDirectory)
        {
            DatabaseType = databaseType;
            MetadataLocation = metadataLocation;
            ConnectionName = connectionName;
            Workspace = workspace;
            ScriptsDirectory = scriptsDirectory;
        }
    }
}
