﻿namespace Netmash.Infrastructure.DatabaseMigration.Constants
{
    internal struct ManifestResourcesPath
    {
        public const string
            SqlServer = "Netmash.Infrastructure.DatabaseMigration.Scripts.SqlServer.",
            Sqlite = "Netmash.Infrastructure.DatabaseMigration.Scripts.Sqlite.";
    }

    internal struct ManifestResources
    {
        public static string[]
            SqlServer = new string[] { "01.CreateMigrationSchema.sql", "02.MigrationTables.sql" },
            Sqlite = new string[] { "01.MigrationSignatureTable.sql", "02.MigratedVersionTable.sql", "03.MigratedScriptTable.sql" };
    }
}
